{ config, pkgs, inputs, ... }:

{
  programs.spicetify = let
    spicePkgs = inputs.spicetify-nix.legacyPackages.${pkgs.stdenv.hostPlatform.system};
  in{
    enable = true;

    # Theme: catppuccin with mocha palette
    theme = spicePkgs.themes.catppuccin;
    colorScheme = "latte";
    enabledExtensions = with spicePkgs.extensions; [
      adblockify
      hidePodcasts
    ];
  };
}
